#!/bin/sh

echo "==============================="
echo "Please wait while tests are being performed..."
echo "==============================="
d=`date +%d/%m/%Y` > results.txt
for i in 1 2 3 4 5 6 7 8
do
  cmd="./test_and.exe $i"
  echo $cmd
  time $cmd 2>timefile.txt       
  t=`cat timefile.txt | grep "user" | cut -d'u' -f1`
  f=`./test_and.exe -t $i`
  echo "test $f $t" >> results.txt
done

echo "==============================="
echo " RESULTS"
echo "==============================="

cpu=`cat /proc/cpuinfo | grep "model name" | head -1 | cut -d ':' -f2-10 `

echo $cpu
echo "-------------------------------"

awk -f format.awk results.txt

echo "==============================="

rm -rf timefile.txt